Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(133)

Issue 2862223003: Allow autotest extension to access system.display (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months, 2 weeks ago by victorhsieh
Modified:
4 months, 2 weeks ago
Reviewers:
stevenjb, victorhsieh0
CC:
chromium-reviews, chromium-apps-reviews_chromium.org, extensions-reviews_chromium.org, waihong
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Allow autotest extension to access system.display system.display is currently only allowed for a few cases. Grant autotest extension to use the API for test purpose, too. TEST=autotest works BUG=712705 Review-Url: https://codereview.chromium.org/2862223003 Cr-Commit-Position: refs/heads/master@{#470124} Committed: https://chromium.googlesource.com/chromium/src/+/84b76aa34b7ee89ea7b44af59239f6729aa53ab5

Patch Set 1 #

Total comments: 1

Messages

Total messages: 11 (4 generated)
victorhsieh0
Steven, PTAL.
4 months, 2 weeks ago (2017-05-05 22:14:55 UTC) #2
stevenjb
The way we do this is a bit wonky, but this lgtm for now anyway.
4 months, 2 weeks ago (2017-05-08 17:20:08 UTC) #3
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2862223003/1
4 months, 2 weeks ago (2017-05-08 18:23:06 UTC) #5
commit-bot: I haz the power
Committed patchset #1 (id:1) as https://chromium.googlesource.com/chromium/src/+/84b76aa34b7ee89ea7b44af59239f6729aa53ab5
4 months, 2 weeks ago (2017-05-08 21:08:57 UTC) #8
afakhry
A revert of this CL (patchset #1 id:1) has been created in https://codereview.chromium.org/2874633002/ by afakhry@chromium.org. ...
4 months, 2 weeks ago (2017-05-10 01:06:12 UTC) #9
afakhry
On 2017/05/10 01:06:12, afakhry wrote: > A revert of this CL (patchset #1 id:1) has ...
4 months, 2 weeks ago (2017-05-10 01:08:02 UTC) #10
stevenjb
4 months, 2 weeks ago (2017-05-10 16:15:08 UTC) #11
Message was sent while issue was closed.
https://codereview.chromium.org/2862223003/diff/1/extensions/browser/api/syst...
File extensions/browser/api/system_display/system_display_api.cc (right):

https://codereview.chromium.org/2862223003/diff/1/extensions/browser/api/syst...
extensions/browser/api/system_display/system_display_api.cc:180: if
(extension()->permissions_data()->HasAPIPermission(
Ugh, I should have noticed that this needs to be if (extension() && ....)
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b